package com.mortals.xhx.common.code.complex;

import com.mortals.xhx.common.code.AgentEnum;

import java.util.*;

public enum HandlingState {
    HANDLE("HANDLE","办理中"),
    FAILED("FAILED","不予受理"),
    VOTE("VOTE","审核未通过"),
    SUCCESS("SUCCESS","办件成功"),
    UNDO("UNDO","办件撤销"),
    GENERAL("GENERAL","通办中"),
    GENERAL_NO_PICK("GENERAL_NO_PICK","通办不接件"),
    GENERAL_SUCCESS("GENERAL_SUCCESS","通办成功"),
    HANDLING_CORRECTION_FILLING("HANDLING_CORRECTION_FILLING","补证补齐")
    ;

    private String value;
    private String desc;

    HandlingState(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }
    public static HandlingState getByValue(String value) {
        HandlingState[] var1 = values();
        int var2 = var1.length;

        for(int var3 = 0; var3 < var2; ++var3) {
            HandlingState examStatus = var1[var3];
            if (examStatus.getValue().equals(value)) {
                return examStatus;
            }
        }

        return null;
    }

    public static List<Map<String, String>> getEnumMap(String... eItem) {
        List<Map<String, String>> result = new ArrayList<>();

        HandlingState[] var2 = values();
        int var3 = var2.length;

        for(int var4 = 0; var4 < var3; ++var4) {
            HandlingState item = var2[var4];

            try {
                boolean hasE = false;
                String[] var7 = eItem;
                int var8 = eItem.length;

                for(int var9 = 0; var9 < var8; ++var9) {
                    String e = var7[var9];
                    if (item.getValue().equals(e)) {
                        hasE = true;
                        break;
                    }
                }

                if (!hasE) {
                    Map<String, String> resultMap = new HashMap();
                    resultMap.put("item_text", item.getValue());
                    resultMap.put("item_value", item.getDesc());
                    result.add(resultMap);
                }
            } catch (Exception var11) {
            }
        }

        return result;
    }
}
